## CORBA Interface IResultPackageService

Manipulates result packages that are accessible by the server on which its SAS workspace is running.

### Definition

CORBA Module SAS

### IResultPackageService Description

This component facilitates result package manipulation, such as browsing an existing result package, creating a new result package, and deleting an existing result package.

For more information about result packages, see the Publishing Framework chapter of the SAS Integration Technologies: Developer's Guide.

CORBA Definitions
attribute Parent | The Utilities component of the workspace containing this service.
method BrowseResultPackage | Loads an existing result package for browsing.
method CreateResultPackage | Creates a new result package.
method DeleteResultPackage | Deletes an existing result package.

Java Classes
IResultPackageServiceHelper | Used to manipulate the IResultPackageService type
IResultPackageServiceHolder | Used to process the IResultPackageService type as an out parameter

Java Interfaces
IResultPackageService | Manipulates result packages that are accessible by the server on which its SAS workspace is running.

Java Interface IResultPackageService

Manipulates result packages that are accessible by the server on which its SAS workspace is running.

Package com.sas.iom.SAS

IResultPackageService Description
This component facilitates result package manipulation, such as browsing an existing result package, creating a new result package, and deleting an existing result package.

For more information about result packages, see the Publishing Framework chapter of the SAS Integration Technologies: Developer's Guide.

`public interface IResultPackageService
extends org.omg.CORBA.Object`

Method Summary

IResultPackage | BrowseResultPackage ( java.lang.String transport , java.lang.String transportInformation , java.lang.String[][] properties ) throws ( GenericError ); Loads an existing result package for browsing.
IResultPackage | CreateResultPackage ( java.lang.String description , java.lang.String nameValues , java.lang.String[][] properties ) throws ( GenericError ); Creates a new result package.
void | DeleteResultPackage ( java.lang.String transport , java.lang.String transportInformation , java.lang.String[][] properties ) throws ( GenericError ); Deletes an existing result package.

Java Class IResultPackageServiceHelper

public class IResultPackageServiceHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IResultPackageService type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageServiceHelper

Java Class IResultPackageServiceHolder

public class IResultPackageServiceHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IResultPackageService type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IResultPackageServiceHolder

CORBA Attribute Parent (readonly)

The Utilities component of the workspace containing this service.

Description
Use this attribute to navigate back to the Utilities component that is the parent of this component.

Usage

Java Method Parent

    public IUtilities Parent ();

CORBA Method BrowseResultPackage

Loads an existing result package for browsing.

Description
Call this method to load an existing result package. The loaded result package is read-only. To create a modified version of a loaded result package, add either the entries or the entire package (see AddEntry) to a newly created result package (see CreateResultPackage).

When you specify "ARCHIVE" as the BrowseResultPackage::transport, the BrowseResultPackage::transportInformation identifies the archive to retrieve. The archive may be identified by physical path and filename, excluding any extension, or it may be an LDAP URL that contains the distinguished name of the sasArchive entry.

Example 1: To browse an archive that has a physical path of

       c:\TEMP\myarchive.spk

specify the BrowseResultPackage::transportInformation string as

       "c:\TEMP\myarchive"

Example 2: To browse an archive that has been cataloged in the LDAP server running on host "research.abc.com" with the distinguished name

       sasArchiveCn=myArchive,sasArchivePathCn=myPath,cn=sasArchivePaths,sasComponent=sasPublishSubscribe,cn=SAS,o=Gadget, Inc, c=US

specify the BrowseResultPackage::transportInformation string

       "ldap://research.abc.com/sasArchiveCn=myArchive,sasArchivePathCn=myPath,cn=sasArchivePaths,sasComponent=sasPublishSubscribe,cn=SAS,o=Gadget, Inc, c=US"

If the LDAP server is secure, the LDAP URL may contain the bind distinguished name and password as shown in the document LDAP Channel Store Syntax. Or, "BINDDN" and "PASSWORD" may be specified as properties via the BrowseResultPackage::properties parameter.

Where

BINDDN
  A character string identifying the caller's LDAP bind distinguished name.
PASSWORD
  A character string identifying the password associated with the BINDDN.

Usage

Java Method BrowseResultPackage

`public IResultPackage` BrowseResultPackage (

        java.lang.String transport ,
        java.lang.String transportInformation ,
        java.lang.String[][] properties
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
transport | in | java.lang.String | A string identifying the transport in which to load the existing result package. Currently, only the ARCHIVE transport is supported.
transportInformation | in | java.lang.String | A string identifying the result package to load. The string is transport-specific. Under OS/390, archives can reside only in Unix System Services Hierarchical Filesystem (HFS) directories. Any userid accessing the archive must be enabled for Unix System Services.
properties | in | java.lang.String[][] | A two-dimensional array of strings describing transport-specific properties required in order to load the result package identified by BrowseResultPackage::transportInformation. The input array should contain a row for each property and should always have two columns. The first column contains property names and the second contains the corresponding property values. For properties without values, you should should supply an empty (zero-length) string in the second column.

Example

CORBA Method CreateResultPackage

Creates a new result package.

Description
This operation creates a new ResultPackage component that represents a modifiable result package.

When you create a result package, you can associate an expiration datetime and an abstract with the new result package See the CreateResultPackage::properties parameter for details.

Usage

Java Method CreateResultPackage

`public IResultPackage` CreateResultPackage (

        java.lang.String description ,
        java.lang.String nameValues ,
        java.lang.String[][] properties
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
description | in | java.lang.String | A text description of the new result package.
nameValues | in | java.lang.String | This single string parameter is a space-separated list of name/value pairs to be associated with the created result package. You can choose your own names and values in whatever way you find helpful for managing and filtering lists of packages. The name/value pair items take the form "name", "name=value" or "name=(value1, ..., valueN)". Here is an example of a parameter value listing three items:
    "market=(Mexico, US) type=report  FourthQuarter"
properties | in | java.lang.String[][] | A two-dimensional array of strings used to pass properties that supply additional information to package creation. The input array should contain a row for each property and should always have two columns. The first column contains property names and the second contains the corresponding property values. Supported properties are EXPIRATION_DATETIME A character string representing a SAS datetime string. Since the result package creation datetime is UTC, the expiration datetime should be specified as a UTC time. ABSTRACT A character string containing the result package abstract. Both of these property values are stored with the package.

Example

CORBA Method DeleteResultPackage

Deletes an existing result package.

Description
This method deletes an existing result package.

The transport information and property specifications are the same as for the BrowseResultPackage operation. See its description for complete information.

Usage

Java Method DeleteResultPackage

`void` DeleteResultPackage (

        java.lang.String transport ,
        java.lang.String transportInformation ,
        java.lang.String[][] properties
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
transport | in | java.lang.String | A string identifying the transport in which to delete the existing result package. Currently, only the ARCHIVE transport is supported.
transportInformation | in | java.lang.String | A string identifying the result package to delete. The string is transport specific. See BrowseResultPackage for full details on how to specify this parameter.
properties | in | java.lang.String[][] | A two-dimensional array of strings describing transport-specific properties required in order to load the result package identified by DeleteResultPackage::transportInformation. The input array should contain a row for each property and should always have two columns. The first column contains property names and the second contains the corresponding property values. For properties without values, you should should supply an empty (zero-length) string in the second column. See BrowseResultPackage for full details on how to specify this parameter.

Example